petsc-3.7.1 2016-05-15
Report Typos and Errors

# SNESLoad

Loads a SNES that has been stored in binary with SNESView().

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode  SNESLoad(SNES snes, PetscViewer viewer)

Collective on PetscViewer Many br

### Input Parameters

| newdm | - the newly loaded SNES, this needs to have been created with SNESCreate() or Many brsome related function before a call to SNESLoad(). Many br
| viewer | - binary file viewer, obtained from PetscViewerBinaryOpen() Many br

Many br

### Notes

The type is determined by the data in the file, any type set into the SNES before this call is ignored. Many br

### Notes for advanced users

Most users should not need to know the details of the binary storage Many brformat, since SNESLoad() and TSView() completely hide these details. Many brBut for anyone who's interested, the standard binary matrix storage Many brformat is Many br

         has not yet been determined

Many br

### See Also

PetscViewerBinaryOpen(), SNESView(), MatLoad(), VecLoad()

Level:intermediate
Location:src/snes/interface/snes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages